#ifndef COSTMAP_2D_UTILS_H
#define COSTMAP_2D_UTILS_H
#include <yaml-cpp/yaml.h>

namespace costmap_2d
{
    template<typename T>
    T loadParam(const YAML::Node& node, const std::string& key, const T& default_value)
    {
        if (node[key] && node[key].IsDefined())
            return node[key].as<T>();
        return default_value;
    }

}

#endif  // COSTMAP_2D_UTILS_H